CTRLPROXY(1)

NAME
ctrlproxy - a modular IRC proxy with multi-server support

SYNOPSIS

ctrlproxy [-d file] [-l file] [-D] [--init] [-r file] [-v]

DESCRIPTION

ctrlproxy is a modular IRC proxy. It connects to a number of IRC servers and then passes data it receives on to the modules that have been loaded into it. Current modules are client_simple (for proxy support) and log (for irssi-style log file generation).

By default, ctrlproxy listens for client connections on port 6668 and any ports after that one, depending on the number of servers it is connected to.

OPTIONS

ctrlproxy recognizes the following command-line options

-i, --inetd-client=NETWORK
    Add incoming client on stdin/stdout, connected to the specified network. This can be used for inetd-like communication and testing.

-d, --debugfile=FILE
    Dump IRC traffic to specified file. Only useful for debugging purposes.

-D, --daemon
    Go to the background after the program has been started (daemon mode).

-c, --config-dir=DIR
    Read configuration files from the specified directory DIR instead of from .ctrlproxy in the users' homedirectory.

--init
    Create a new configuration file.

-v, --version
    Show copyright and version information

-?, --help
    Show help message with short argument information

-l, --log=FILE
    Log ctrlproxy messages to specified file.

--usage
    Display brief usage message

SIGNALS

When ctrlproxy receives a USR1 signal, it will save its current state.

ENVIRONMENT VARIABLES

CTRLPROXY_MODULESDIR
    Override directory that will be searched for plugins.

SEE ALSO

irssi (1), ctrlproxy_config(5), http://www.ctrlproxy.org/, config.example

BUGS

Probably, but none are known at the moment. Please send any you find to jelmer@samba.org

LICENSE

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but \fBWITHOUT ANY WARRANTY\fR; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple PLace, Suite 330, Boston, MA 02111-1307 USA

AUTHORS

Jelmer Vernooij[1] (original developer)

See the file AUTHORS for a full list of contributors.

NOTES

1.  Jelmer Vernooij
    mailto:jelmer@samba.org